PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::BoundaryConditionWithMesh< BoundaryT, ValueT > Struct Template Reference

One boundary-condition pair concretized for a given mesh. More...

`#include <plask/mesh/boundary_conditions.hpp>`

Collaboration diagram for plask::BoundaryConditionWithMesh< BoundaryT, ValueT >:
[legend]

## Public Types
typedef BoundaryT | Boundary
| Boundary type for mesh of type MeshType.
typedef Boundary::MeshType | MeshType
| type of mesh
typedef ValueT | ValueType
| type which describe boundary condition

## Public Member Functions
template<typename... ConditionArgumentsTypes>
| BoundaryConditionWithMesh (const BoundaryNodeSet &place, ConditionArgumentsTypes &&... value_args)
| Construct boundary-condition pair.
template<typename... ConditionArgumentsTypes>
| BoundaryConditionWithMesh (BoundaryNodeSet &&place, ConditionArgumentsTypes &&... value_args)
| Construct boundary-condition pair.

## Public Attributes
BoundaryNodeSet | place
| Set of mesh indexes.
ValueType | value
| Condition value.

## Detailed Description

template<typename BoundaryT, typename ValueT>
struct plask::BoundaryConditionWithMesh< BoundaryT, ValueT >

One boundary-condition pair concretized for a given mesh.

Definition at line 57 of file boundary_conditions.hpp.

## Member Typedef Documentation

## ◆ Boundary

template<typename BoundaryT , typename ValueT >

typedef BoundaryT plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::Boundary

Boundary type for mesh of type MeshType.

Definition at line 58 of file boundary_conditions.hpp.

## ◆ MeshType

template<typename BoundaryT , typename ValueT >

typedef Boundary::MeshType plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::MeshType

type of mesh

Definition at line 59 of file boundary_conditions.hpp.

## ◆ ValueType

template<typename BoundaryT , typename ValueT >

typedef ValueT plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::ValueType

type which describe boundary condition

Definition at line 60 of file boundary_conditions.hpp.

## Constructor & Destructor Documentation

## ◆ BoundaryConditionWithMesh() [1/2]

template<typename BoundaryT , typename ValueT >
template<typename... ConditionArgumentsTypes>

plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::BoundaryConditionWithMesh | ( | const BoundaryNodeSet & | place,
|  | ConditionArgumentsTypes &&... | value_args
| ) |  |
| inline

Construct boundary-condition pair.

Parameters

  place | boundary
  value_args | arguments for condition constructor, can be just one argument of ValueType to use copy/move-constructor

Definition at line 71 of file boundary_conditions.hpp.

## ◆ BoundaryConditionWithMesh() [2/2]

template<typename BoundaryT , typename ValueT >
template<typename... ConditionArgumentsTypes>

plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::BoundaryConditionWithMesh | ( | BoundaryNodeSet && | place,
|  | ConditionArgumentsTypes &&... | value_args
| ) |  |
| inline

Construct boundary-condition pair.

Parameters

  place | boundary
  value_args | arguments for condition constructor, can be just one argument of ValueType to use copy/move-constructor

Definition at line 81 of file boundary_conditions.hpp.

## Member Data Documentation

## ◆ place

template<typename BoundaryT , typename ValueT >

BoundaryNodeSet plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::place

Set of mesh indexes.

Definition at line 62 of file boundary_conditions.hpp.

## ◆ value

template<typename BoundaryT , typename ValueT >

ValueType plask::BoundaryConditionWithMesh< BoundaryT, ValueT >::value

Condition value.

Definition at line 63 of file boundary_conditions.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary_conditions.hpp